{
  "schema_version": "1.4.0",
  "id": "GHSA-w2rr-v7j3-2w2r",
  "modified": "2022-05-14T02:04:28Z",
  "published": "2022-05-14T02:04:28Z",
  "aliases": [
    "CVE-2016-2315"
  ],
  "details": "revision.c in git before 2.7.4 uses an incorrect integer data type, which allows remote attackers to execute arbitrary code via a (1) long filename or (2) many nested trees, leading to a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-2315"
    },
    {
      "type": "WEB",
      "url": "https://github.com/git/git/commit/34fa79a6cde56d6d428ab0d3160cb094ebad3305"
    },
    {
      "type": "WEB",
      "url": "https://github.com/git/git/commit/de1e67d0703894cb6ea782e36abb63976ab07e60"
    },
    {
      "type": "WEB",
      "url": "https://raw.githubusercontent.com/git/git/master/Documentation/RelNotes/2.7.4.txt"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201605-01"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2016-April/183147.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2016-March/179121.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2016-March/180763.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00059.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00060.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00061.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00062.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00071.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00074.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00076.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00077.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2016-04/msg00011.html"
    },
    {
      "type": "WEB",
      "url": "http://pastebin.com/UX2P2jjg"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2016-0496.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3521"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/03/15/5"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/84355"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035290"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2938-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-04-08T14:59:00Z"
  }
}